%global enable_tests 1
%global srcname st

Name:           nodejs-%{srcname}
Version:        1.2.0
Release:        1%{?dist}
Summary:        Nodejs module for serving static files. Does etags, caching, etc
License:        ISC
URL:            https://github.com/isaacs/st
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(request)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(negotiator)
BuildRequires:  npm(async-cache)
BuildRequires:  npm(fd)
BuildRequires:  npm(mime)
BuildRequires:  npm(bl)
%endif

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules
%nodejs_fixdep bl
%nodejs_fixdep mime
%nodejs_fixdep negotiator '0.x'

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json favicon.ico st.js bin/ \
     %{buildroot}%{nodejs_sitelib}/%{srcname}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{srcname}/bin/server.js %{buildroot}%{_bindir}/server.js

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
tap test/*.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}
%{_bindir}/server.js

%changelog
* Wed Oct 04 2017 Jared Smith <jsmith@fedoraproject.org> - 1.2.0-1
- Update to upstream 1.2.0 release

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 25 2016 Piotr Popieluch <piotr1212@gmail.com> - 1.1.0-1
- Update to 1.1.0

* Sat Aug 29 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.5.5-1
- Initial package
